Bug 43572

Summary: Add support for HTML5 <device>
Product: WebKit Reporter: Rodger Combs <rodger.combs>
Component: DOMAssignee: Nobody <webkit-unassigned>
Status: RESOLVED WONTFIX    
Severity: Normal CC: ap, christian.webkit, ddkilzer, earcar, gyuyoung.kim, jchaffraix, joone, laszlo.gombos, leandrogracia, luiz, paulirish, peter, tonikitoo, webmaster
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
URL: http://www.whatwg.org/specs/web-apps/current-work/multipage/commands.html#devices
Bug Depends on: 53595    
Bug Blocks: 40829    

Description Rodger Combs 2010-08-05 12:54:09 PDT
The latest HTML5 spec includes a <device> element, this should be implemented by WebKit.
Comment 1 Lars Gunther 2010-08-07 00:55:34 PDT
URL of the W3C Media Capture spec is http://dev.w3.org/2009/dap/camera/

Mozilla's bug is at https://bugzilla.mozilla.org/show_bug.cgi?id=451674
Comment 2 Leandro GraciĆ” Gil 2011-02-02 09:38:23 PST
A first proposal on the device element has been submitted for code review: https://bugs.webkit.org/show_bug.cgi?id=47264

However during the review some questions and concerns have been raised about its design. As a consequence, a discussion thread with an alternative proposal has been started to analyze the problem: https://lists.webkit.org/pipermail/webkit-dev/2011-January/015822.html

Meanwhile, a first patch has been proposed to introduce the appropriate compilation guards: https://bugs.webkit.org/show_bug.cgi?id=53595

This first patch should allow future patches without forcing any specific design approach.
Comment 3 Leandro GraciĆ” Gil 2011-06-06 09:03:04 PDT
Setting as wontfix as the spec has been dropped in favor of the MediaStream API.
See http://www.whatwg.org/specs/web-apps/current-work/multipage/dnd.html#video-conferencing-and-peer-to-peer-communication and bug 56459 for details.